#ifndef LOGLWINDOW_H
#define LOGLWINDOW_H

#include <QDebug>
#include <QWindow>
#include <QOpenGLWidget>
#include <QOpenGLFunctions>

class LoGLWindow : public QWindow, protected QOpenGLFunctions
{
    Q_OBJECT
public:
    LoGLWindow(QScreen *screen = nullptr);

public:
    QString vendor();
    QString renderer();
    QString version();
    QString extensions();

public:
    QOpenGLContext *context() { return m_context; }

private:
    QOpenGLContext *m_context;
};

#endif // LOGLWINDOW_H
